import { CompletionApi, ModelRequestOptions } from 'llm-api';
import { RequestOptions } from 'zod-gpt';
import { ZodSchema } from 'zod';
import { Axios } from 'axios';
export declare class Prompt<T extends Record<string, any>> {
    promptId: string;
    promptVariables: T;
    promptText: string;
    networkClient: Axios;
    constructor(params: {
        promptId: string;
        variables: T;
        text: string;
        networkClient: Axios;
    });
    complete(ai: CompletionApi, options?: ModelRequestOptions): Promise<import("llm-api").ChatResponse>;
    format<T extends ZodSchema>(ai: CompletionApi, schema: T, options?: RequestOptions<T>): Promise<import("zod-gpt").Response<T>>;
    text(): string;
    variables(): T;
    track(property: string, value: any): void;
}
